<?php

include("../../fpdf/fpdf.php");


class PDF extends FPDF
{
function Header()
{
    global $vuln_name;
    $this->SetFont('Arial','B',10);
    // Title
    $this->Cell(0,0,'Department of Audits and Accounts',0,0,'L');
	//function Cel($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')	
    // Line break
    $this->Ln(10);
}

function Footer()
{
    $this->SetY(-10);
    $this->SetFont('Arial','I',6);
    $this->SetTextColor(128);
    $this->Cell(0,5,'Page '.$this->PageNo(),0,0,'R');
	
    $this->SetY(-10);
    $this->SetFont('Arial','I',6);
    $this->SetTextColor(128);	
    $this->Cell(0,3,'Report Created: December 28, 2011, 2:59 am',0,0,'L');
	
    $this->SetY(-10);
    $this->SetFont('Arial','I',6);
    $this->SetTextColor(128);	
    $this->Cell(0,8,'TEST - Audit',0,0,'L');
	//function Cel($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')	
	
}

function VulnerabilityName($vuln_family, $label)
{
    // Arial 12
    $this->SetFont('Arial','',8);
    // Background color
    $this->SetFillColor(162,181,205);
    // Title
    $this->Cell(0,6,"Chapter $vuln_family $label",0,1,'L',true);
    // Line break
    $this->Ln(4);
}

function VulnerabilityDetails($data)
{
    $this->SetFont('Times','',8);
    foreach($data as $row)
    {
		foreach($row as $col)
			$this->Write(5,$col);
		$this->Ln();
	}
	//function Cel($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')	
    $this->Ln();

}

function PrintVulnerability($vuln_family, $vuln_name, $description)
{
    $this->AddPage();
    $this->VulnerabilityName($vuln_family,$vuln_name);
    $this->VulnerabilityDetails($description);
}
}
$testdata = array(
	array("Description","Sending bogus ICMP redirect packets, a malicious user can either disrupt or intercept communication from a router. This vulnerability is documented with the CISCO bug ID CSCdx92043"),
	array("Synopsis","The remote device is missing a vendor-supplied security patch"),
);
$pdf = new PDF();
$vuln_name = '20000 Leagues Under the Seas';
$pdf->SetTitle($vuln_name);
$pdf->SetAuthor('Jules Verne');
$pdf->PrintVulnerability('[CISCO]:','Cisco IOS ICMP Redirect Message Spoofing Remote DoS (CSCdx92043)',$testdata);
$pdf->PrintVulnerability('[Windows : Microsoft Bulletins]:','MS08-067: Microsoft Windows Server Service Crafted RPC Request Handling Unspecified Remote Code Execution (958644)',$testdata);
$pdf->Output();

?>