<?php

require_once( "../../fpdf/fpdf.php" );

// Begin configuration
$textColor = array( 0, 0, 0 );
$reportName = "2009 Widget Sales Report";
$reportNameYPos = 160;
$logoFile = "../images/nessus_logo.png";
$logoXPos = 50;
$logoYPos = 108;
$logoWidth = 100;

// End configuration


/**
  Create the title page
**/

$pdf = new FPDF( 'P', 'pt', 'A4' );
$pdf->SetTextColor( $textColor[0], $textColor[1], $textColor[2] );
$pdf->AddPage();

// Logo
//$pdf->Image( $logoFile, $logoXPos, $logoYPos, $logoWidth );

// Report Name


$txt = "The following report contains confidential information. Do not distribute, email, fax, or transfer via any electronic mechanism unless it has been approved by the recipient company's security policy. All copies and backups of this document should be saved on protected storage at all times. Do not share any of the information contained within this report with anyone unless they are authorized to view the information.";
//function Cell($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')
$pdf->Ln( 150 );
$pdf->SetFont( 'Arial', 'B', 24 );
$pdf->SetFillColor(162,181,205);
$pdf->SetDrawColor(85,85,85);
$pdf->SetLineWidth(.3);
$pdf->SetTextColor(85,85,85);
$pdf->Cell(0,35,"Confidential Information",1,1,'C',true);
$pdf->Ln(4);
$pdf->SetFont( 'Arial', '', 12 );
$pdf->Write(12,$txt);
$pdf->Ln();
$pdf->SetFont( 'Arial', 'B', 16 );
$pdf->Cell(270, 16, "Created By",1,0,'C',true);
$pdf->Cell(270, 16, "Created For",1,0,'C',true);
$pdf->Ln();
$pdf->SetFont( 'Arial', '', 10 );

//get position
$x1=$pdf->GetX();
$y1=$pdf->GetY();

//print MultiCell just to figure out the height for Cell
$pdf->MultiCell(270, 12, $txt);
$y4=$pdf->GetY();
$h=$y4-$y1;

//reset position and print Cell
$pdf->SetXY($x1, $y1);
$pdf->Cell( 270, $h, "",1,0,'J',true);

//get position for second Cell and print Cell
$x2=$pdf->GetX();
$y2=$pdf->GetY();
$pdf->Cell( 270, $h, "",1,0,'J',true);

//reset to original position to print first MultiCell
$pdf->SetXY($x1, $y1);
$pdf->MultiCell(270, 12,$txt);

//go to Cell 2 position to print second MultiCell
$pdf->SetXY($x2, $y2);
$pdf->MultiCell(270, 12, $txt);





$pdf->Output( "report.pdf", "I" );
?>